> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inventories



## OpenAPI

````yaml /openapi/orders.json get /v1/crm/requests/inventories/
openapi: 3.0.3
info:
  title: Yume API — Аренда
  version: 1.0.0
  description: Управление арендой, заявками и заказами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/requests/inventories/:
    get:
      tags:
        - inventories
      summary: Get inventories
      operationId: inventories_list
      parameters:
        - in: query
          name: client
          schema:
            type: number
        - in: query
          name: created_by
          schema:
            type: integer
        - in: query
          name: date
          schema:
            type: string
            format: date
        - in: query
          name: discount
          schema:
            type: integer
        - in: query
          name: end_at
          schema:
            type: string
            format: date-time
          description: Конец окна. Момент времени или дата, от которой берётся полночь.
        - in: query
          name: exchange
          schema:
            type: boolean
        - in: query
          name: id__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: inventory
          schema:
            type: number
        - in: query
          name: issued
          schema:
            type: boolean
        - in: query
          name: received
          schema:
            type: boolean
        - in: query
          name: request
          schema:
            type: number
        - in: query
          name: set
          schema:
            type: integer
        - in: query
          name: start_at
          schema:
            type: string
            format: date-time
          description: Начало окна. Момент времени или дата, от которой берётся полночь.
        - in: query
          name: status
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
          description: |-
            * `0` - Не выдано
            * `1` - Выдано
            * `2` - Принято
            * `3` - Просрочка
        - in: query
          name: tarif
          schema:
            type: integer
        - in: query
          name: type
          schema:
            type: integer
            title: Тип
            enum:
              - 0
              - 1
          description: |-
            * `0` - Аренда
            * `1` - Продажа
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderRequestInventoryList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderRequestInventoryList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        request:
          type: integer
          title: Аренда
        client:
          type: string
          readOnly: true
        inventory_group:
          type: integer
          nullable: true
          title: Группа инвентаря
        inventory:
          allOf:
            - $ref: '#/components/schemas/CarInventory'
          readOnly: true
        tarif:
          type: integer
          nullable: true
          title: Тариф
        tarif_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена тарифа
        tarif_duration:
          type: string
          title: Длительность тарифа
        discount:
          type: integer
          nullable: true
          title: Скидка
        additional_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        penalty_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        fact_start_at:
          type: string
          format: date-time
          nullable: true
          title: Факт выдачи
        fact_end_at:
          type: string
          format: date-time
          nullable: true
          title: Факт возврата
        set:
          type: integer
          nullable: true
          title: Комплект
        set_group:
          type: string
          nullable: true
          title: Группа комплекта
        extra:
          title: Доп. данные
        type:
          allOf:
            - $ref: '#/components/schemas/Type9ddEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        created_by:
          type: integer
          nullable: true
          title: Создал
        warehouse:
          type: integer
          nullable: true
          title: Склад
        counterparty:
          type: integer
          nullable: true
          title: Контрагент
        exchange:
          type: integer
          nullable: true
          title: Замена
        autorenewal:
          type: boolean
          readOnly: true
          nullable: true
      required:
        - autorenewal
        - client
        - id
        - inventory
        - request
    CarInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        car:
          allOf:
            - $ref: '#/components/schemas/InventoryCar'
          readOnly: true
      required:
        - car
        - id
        - name
        - subleases
    Type9ddEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
    InventoryCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        type:
          $ref: '#/components/schemas/InventoryCarTypeEnum'
        brand:
          type: string
          nullable: true
          maxLength: 255
        model:
          type: string
          nullable: true
          maxLength: 255
        number:
          type: string
          nullable: true
          maxLength: 255
        tech_passport:
          type: string
          nullable: true
          maxLength: 255
        serial:
          type: string
          nullable: true
          maxLength: 255
        vin:
          type: string
          nullable: true
          maxLength: 18
        extra: {}
      required:
        - id
    InventoryCarTypeEnum:
      enum:
        - CAR
        - SCOOTER
        - MOTORCYCLE
      type: string
      description: |-
        * `CAR` - Автомобиль
        * `SCOOTER` - Электросамокат
        * `MOTORCYCLE` - Мотоцикл/Мопед
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````